# ezQuake Manual: Server Variables

- Server Settings
- Serverinfo Keys
- Serverside Permissions
- Serverside Physics

## Server Settings Variables

### coop

#### Description

Whether the next "map" command should start a coop (cooperative) game. Only works when deathmatch var is 0, otherwise coop will be forced off and a deathmatch game will start. You need a file, spprogs.dat, in your quake/qw/ folder for coop games to work.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Enable cooperative.
0 | Disable cooperative.

### filterban

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Only IP addresses NOT on the Ban list will be allowed onto the server.
0 | Only IP addresses on the Ban list will be allowed onto the server.

### floodprotmsg

#### Description

Sets the message displayed after flood protection is invoked. Example: floodprotmsg "Shut up whiner!"

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### pausable

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Enable pause.
0 | Disable pause.

### skill

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | easy level for singleplaying.
1 | Normal level for singleplaying.
2 | Hard level for singleplaying.
3 | Nightmare level for singleplaying.

### sv_cheats

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Enable cheats. (need map realoading)
0 | Disable cheats.

### sv_downloadchunksperframe

#### Description

Limits the speed of the chunked downloads

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Server-side. Clients can set high amount of chunks per frame allowed and make your data eat connection traffic rapidly. Use this variable to prevent this.

### sv_fastconnect

#### Description

actually no help.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### sv_highchars

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Enable high character color names for players.
0 | Disable.

### sv_loadentfiles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Enable custom map entity file support.
0 | Disable.

### sv_mapcheck

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Enable map checksumming to check for players who edit maps to cheat.
0 | Disable.

Note: A player who has edited his map files to cheat by removing textures from walls will not be able to join the server and play.

### sv_maxpitch

#### Description

server-side variable for setting maximum of view angles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 80

Variable is integer.
By default, in quakeworld maximum viewangle is '80'. You can set for example '90' then you will be able look directly to sky. q3 players should like it

EZQuake and ZQuake (may be some other) clients understand this physics change, old clients will be clamped at [-70~80] (quakeworld default) view angles.

### sv_maxrate

#### Description

Maximum rate for clients.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### sv_maxtic

#### Description

The maximum amount of time in seconds before a client a receives an update from the server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.1

Variable is float.

### sv_minpitch

#### Description

server-side variable for setting minimum of view angles

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -70

Variable is integer.
By default, in quakeworld minimum viewangle is '-70'. You can set for example '-90' then you will be able look directly to floor. q3 players should like it.

EZQuake and ZQuake (may be some other) clients understand this physics change, old clients will be clamped at [-70~80] (quakeworld default) view angles.

### sv_mintic

#### Description

The minimum amount of time the server will wait before sending packets to a client.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### sv_nailhack

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Allows nails in most cases to uses less bandwidth and to fly around
0 | Disable.

smoother and point in the right direction.

### sv_paused

#### Description

read-only variable that gives you current pause state (condition).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | pause is off
1 | normal pause that can be set by 'pause' command
2 | auto pause (single player only) when going into menus
3 | both (normal pause + auto pause)

### sv_phs

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Has something to do with the table which is build at the loading time
0 | Disable.

of the map.

### sv_spectalk

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Players can hear spectators.
0 | Players can't hear spectators.

### sv_timeout

#### Description

Sets the amount of time in seconds before a client is considered disconnected if the server does not receive a packet.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 65

Variable is float.

## Serverinfo Keys Variables

### deathmatch

#### Description

Chooses between basic multiplayer gameplay modes; 1 = weapons disappear after picked up (used in 4on4), 3 = weapons stay after picked up (used in 1on1), 4 = arena mode (players have all weapons and full heathl/armor)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is integer.

### fraglimit

#### Description

Amount of frags any player has to reach before the match is over

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

When set to 0, there won\'t be any limit

### maxclients

#### Description

Highest number of players allowed on the server

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is integer.

### maxspectators

#### Description

Highest number of spectators allowed to connect to the server

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 8

Variable is integer.

### samelevel

#### Description

When enabled, the same level will be played once the match is over

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

### teamplay

#### Description

Teamplay mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

Nowadays only value 2 is used; value 1 prevents you from killing your teammates including yourself

### timelimit

#### Description

Number of minutes the match will take

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### watervis

#### Description

This server-side cvar is mirrored to serverinfo as a hint to clients on whether the server is using the so-called watervised maps.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | GLQuake users can see through liquids if they set gl_turbalpha to a value < 1.
0 | No watervis.

It's a bad idea to use watervis 1 if the maps the server is using are not watervised. Liquids will appear 'transparent' but you won't be able to see any items/players/etc through it. And it is a bad idea anyway because Quake maps were not designed for transparent water (or other liquids); enabling it changes gameplay, decreases fps and produces more network traffic and puts non-GL players at a disadvantage because the software renderer doesn't support transparent water (yet). Not saved to config with cfg_save command.

## Serverside Permissions Variables

### allow_download

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Clients can download game data from the server.
0 | Disable.

### allow_download_gfx

#### Description

Enables downloading files from the server from the gfx directory

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

Server-side

### allow_download_maps

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Clients can download .bsp map files from the server.
0 | Disable.

### allow_download_models

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Clients can download .mdl files from the server.
0 | Disable.

### allow_download_other

#### Description

Enables downloading files from the server which are not in \"skins\", \"progs\", \"sound\", \"maps\" nor \"gfx\" directories

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

Server-side

### allow_download_pakmaps

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Clients can download map files in paks from the server.
0 | Disable.

### allow_download_skins

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Clients can download .pcx skin files from the server.
0 | Disable.

### allow_download_sounds

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Clients can download .wav sound files from the server.
0 | Disable.

## Serverside Physics Variables

### pm_airstep

#### Description

Airstep player-move-extension. Changes the physics of the game and allows to do jumps on stairs.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

Server-side

### pm_bunnyspeedcap

#### Description

This is experimental code intended to restore class balance in TF. If you set this cvar to something like 1.5 or 2, a solider will not be able to bunnyhop as fast as a scout does :) Note that this cvar is optional and disabled by default, so it will in NO WAY affect gameplay unless you set it explicitly to anything but 0.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### pm_ktjump

#### Description

You can change value of ktjump.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### pm_pground

#### Description

Enables 'persistent onground flag' physics tweak. Makes pm_airstep work better; otherwise it's pretty useless.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

This extension makes use of Z_EXT_PF_ONGROUND to ensure correct movement prediction by clients. Prediction errors shouldn't be very noticeable anyway even with old clients. You're not expected to understand this.

### pm_slidefix

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
1 | Upon decsension from a sloped surface, the player doesn't
0 | Disable.

"drop" (which is a bug in QW), but smoothly slides, as it was in NQ.

### sv_accelerate

#### Description

Sets the acceleration value for the player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 10

Variable is float.

### sv_airaccelerate

#### Description

Sets how quickly the player accelerates in air.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 10

Variable is float.

### sv_friction

#### Description

Sets the friction value for the player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 4

Variable is float.

### sv_gravity

#### Description

Sets the global value for the amount of gravity.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 800

Variable is float.

### sv_maxspeed

#### Description

Sets the maximum speed a player can move.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 320

Variable is float.

### sv_maxvelocity

#### Description

Sets the maximum velocity an object can travel.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2000

Variable is float.

### sv_spectatormaxspeed

#### Description

Sets the maximum speed a spectator can move.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 500

Variable is float.

### sv_stopspeed

#### Description

Sets the value that determines how fast the player should come to a complete stop.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 100

Variable is float.

### sv_wateraccelerate

#### Description

Sets the water acceleration value.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 10

Variable is float.

### sv_waterfriction

#### Description

Sets the water friction value.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 4

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs